Pull to refresh

Comments 12

Спасибо за статью.

Проясните плиз, LINSTOR это некий менеджер над DRBD, который создает файлики .res и запускает консольные команды типа drbdadm?
И тогда можно использовать все старые инструменты из drbd-utils для мониторинга итд.

Или он делает что-то настолько свое, что стандартные инструменты drbd нельзя применять совместно с ним?
Проясните плиз, LINSTOR это некий менеджер над DRBD, который создает файлики .res и запускает консольные команды типа drbdadm?

Именно так, стандартные инструменты по прежнему доступны и иногда приходится к ним прибегать (чаще для диагностики)

apt-get -y install linstor-proxmox
systemctl start linstor-satellite.service


А потом получаем «Failed to start linstor-satellite.service: Unit linstor-satellite.service not found.» Уууупс.
благодарю, исправил
А вот ещё прикол, с которым столкнулся на Ubuntu 16.04: при попытке полнять контроллер и прицепить к нему сателиты, валится ошибка вида "/tmp/linstor-common.4576993503951869782.tmp -> /var/lib/linstor.d/linstor_common.conf: Invalid cross-device link". После этого ноды хоть и рабочие, но пулы не создаются. Единственный выход — создать вручную файл /var/lib/linstor.d/linstor_common.conf вида
# This file was generated by linstor(0.6.3), do not edit manually.

common
{
}


Там много всего такого весёлого встречается.
на этапе «Конфигурирование хранилища»

root@host:~# linstor node list
Traceback (most recent call last):
File "/usr/bin/linstor", line 24, in linstor_client_main.main()
File "/usr/lib/python2.7/dist-packages/linstor_client_main.py", line 555, in main
LinStorCLI().run()
File "/usr/lib/python2.7/dist-packages/linstor_client_main.py", line 521, in run
sys.exit(self.parse_and_execute(sys.argv[1:]))
File "/usr/lib/python2.7/dist-packages/linstor_client_main.py", line 255, in parse_and_execute
self._linstorapi.connect()
File "/usr/lib/python2.7/dist-packages/linstor/linstorapi.py", line 1210, in connect
self._linstor_client.connect(self._ctrl_host)
File "/usr/lib/python2.7/dist-packages/linstor/linstorapi.py", line 556, in connect
self._read_api_version_blocking()
File "/usr/lib/python2.7/dist-packages/linstor/linstorapi.py", line 511, in _read_api_version_blocking
assert hdr.msg_content == apiconsts.API_VERSION, «Unexpected message for API_VERSION»
AssertionError: Unexpected message for API_VERSION
Ошибка исчезает, если вместо:
apt-get update && apt-get install -y linstor-server linstor-client

сделать:
apt-get update && apt-get install -y linstor-controller linstor-client
Спасибо, поправил

linstor-server — это старый пакет, позже он был раздроблен на linstor-satellite и linstor-controller
Как-то очень скудно о самом проекте, не сказано почему может захотеться использовать linstor, а не тот же ceph, например
Ну, это tutorial.
Про drbd9 и немного про linstor я рассказывал в первой статье про drbd9.
habr.com/post/417473
> Теперь мы перенесем наш linstor container на linstor storage.

У меня после переноса на drbd linstor-controller автоматом не запускается, пока ручками drbd-девайс не поднимешь (drbdadm up ...). Вы с таким не сталкивались? Proxmox 6.
Only those users with full accounts are able to leave comments. Log in, please.